import React from "react";
import { ThemeProvider } from "styled-components";
import theme from "../../theme";
import { ToastProps } from "../../interfaces";
import Toast from "../Toast";
import Portal from "../Portal";

const ToastContainer = (props: ToastProps) => {
  return (
    <Portal>
      <ThemeProvider theme={theme}>
        <Toast {...props} />
      </ThemeProvider>
    </Portal>
  );
};

export default ToastContainer;
