import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import ToastContainer from "../components/ToastContainer";
import { ToastProps } from "../interfaces";
import { ToastVariants } from "../constants";

export default {
  title: "Toast",
  component: ToastContainer,
  argTypes: {
    variant: {
      name: "variant",
      type: { name: "string", required: false },
      defaultValue: ToastVariants.info,
      description: "Variant of the toast",
      options: Object.values(ToastVariants),
      control: {
        type: "inline-radio",
      },
    },
    label: {
      name: "label",
      type: { name: "string", required: true },
      defaultValue: "Notification!",
      description: "LAbel to the toast",
      control: {
        type: "text",
      },
    },
  },
} as ComponentMeta<typeof ToastContainer>;

const Template: ComponentStory<typeof ToastContainer> = (args: ToastProps) => (
  <ToastContainer {...args} />
);

export const ExampleToast = Template.bind({});
ExampleToast.args = {
  variant: "success",
  label: "This is toast",
};
